Package org.apache.solr.client.solrj.response

# Class ClusteringResponse

java.lang.Object
org.apache.solr.client.solrj.response.ClusteringResponse

public class ClusteringResponse extends Object
Encapsulates responses from ClusteringComponent

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CLUSTERS_NODE`
`static final String`
`DOCS_NODE`
`static final String`
`IS_OTHER_TOPICS`
`static final String`
`LABELS_NODE`
`static final String`
`SCORE_NODE`

## Constructor Summary

Constructors
Constructor
Description
`ClusteringResponse(List<NamedList<Object>> clusterInfo)`

## Method Summary

Modifier and Type
Method
Description
`List<Cluster>`
`getClusters()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CLUSTERS_NODE

public static final String CLUSTERS_NODE

See Also:
  - Constant Field Values

### LABELS_NODE

public static final String LABELS_NODE

See Also:
  - Constant Field Values

### DOCS_NODE

public static final String DOCS_NODE

See Also:
  - Constant Field Values

### SCORE_NODE

public static final String SCORE_NODE

See Also:
  - Constant Field Values

### IS_OTHER_TOPICS

public static final String IS_OTHER_TOPICS

See Also:
  - Constant Field Values

## Constructor Details

### ClusteringResponse

public ClusteringResponse(List<NamedList<Object>> clusterInfo)

## Method Details

### getClusters

public List<Cluster> getClusters()